package domain

type AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   参加当前活动的商品总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   页面大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   参加活动的特价商品详情列表     */
	SkuList *[]AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku `json:"sku_list,omitempty" `

	/*
	   当前分页     */
	Current *int64 `json:"current,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `

	/*
	   查询特价商品是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult) SetMessage(v string) *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult) SetTotal(v int64) *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult) SetPageSize(v int64) *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult) SetErrorCode(v string) *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult) SetSkuList(v []AlibabaHmMarketingItemdiscountQueryitemsItemDiscountSku) *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult {
	s.SkuList = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult) SetCurrent(v int64) *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult) SetTotalPage(v int64) *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult {
	s.TotalPage = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult) SetSuccess(v bool) *AlibabaHmMarketingItemdiscountQueryitemsMarketPageResult {
	s.Success = &v
	return s
}
